be.ehealth.technicalconnector.session.impl

## Class SessionItemImpl

- java.lang.Object
- - be.ehealth.technicalconnector.session.impl.SessionItemImpl

- All Implemented Interfaces:
    SessionItem

      public class SessionItemImpl
      extends Object
      implements SessionItem

  Implementation of `SessionItem`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SessionItemImpl()` Instantiates a new session item.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Credential` | `getEncryptionCredential()` Gets the personal credential.
    `Crypto` | `getEncryptionCrypto()` Gets the crypto associated with the Encryption credentials
    `Map<String,PrivateKey>` | `getEncryptionPrivateKeys()` Gets the personaldecryption keys.
    `Credential` | `getHeaderCredential()`
    `Credential` | `getHolderOfKeyCredential()` Gets the system credential.
    `Crypto` | `getHolderOfKeyCrypto()` Gets the crypto associated with the HOK credentials
    `Map<String,PrivateKey>` | `getHolderOfKeyPrivateKeys()` Gets the system decryption keys.
    `SAMLToken` | `getSAMLToken()` Gets the sAML token.
    `void` | `setEncryptionCredential(Credential encryptionCredential)` Sets the personal credential.
    `void` | `setEncryptionPrivateKeys(Map<String,PrivateKey> encryptionPrivateKeys)` Sets the personaldecryption keys.
    `void` | `setHeaderCredential(Credential headerCredential)`
    `void` | `setHolderOfKeyCredential(Credential hokCredential)` Sets the system credential.
    `void` | `setHolderOfKeyPrivateKeys(Map<String,PrivateKey> hokPrivateKeys)` Sets the system decryption keys.
    `void` | `setSAMLToken(SAMLToken token)` This method will set the samltoken when created

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SessionItemImpl

          public SessionItemImpl()

      Instantiates a new session item.
      Throws:
        `BusinessConnectorException`

  - ### Method Detail

    - #### setSAMLToken

          public void setSAMLToken(SAMLToken token)

      Description copied from interface: `SessionItem`
      This method will set the samltoken when created
      Specified by:
        `setSAMLToken` in interface `SessionItem`
      See Also:
        `SessionItem.setSAMLToken(be.ehealth.technicalconnector.service.sts.security.SAMLToken)`

    - #### getSAMLToken

          public final SAMLToken getSAMLToken()

      Description copied from interface: `SessionItem`
      Gets the sAML token.
      Specified by:
        `getSAMLToken` in interface `SessionItem`
      Returns:
        the sAML token
      See Also:
        `SessionItem.getSAMLToken()`

    - #### setHolderOfKeyCredential

          public final void setHolderOfKeyCredential(Credential hokCredential)

      Description copied from interface: `SessionItem`
      Sets the system credential.
      Specified by:
        `setHolderOfKeyCredential` in interface `SessionItem`
      Parameters:
        `hokCredential` - the hok credential
      See Also:
        `SessionItem.setHolderOfKeyCredential(be.ehealth.technicalconnector.service.sts.security.Credential)`

    - #### getHolderOfKeyCredential

          public final Credential getHolderOfKeyCredential()

      Description copied from interface: `SessionItem`
      Gets the system credential.
      Specified by:
        `getHolderOfKeyCredential` in interface `SessionItem`
      Returns:
        the system credential
      See Also:
        `SessionItem.getHolderOfKeyCredential()`

    - #### setHolderOfKeyPrivateKeys

          public final void setHolderOfKeyPrivateKeys(Map<String,PrivateKey> hokPrivateKeys)

      Description copied from interface: `SessionItem`
      Sets the system decryption keys.
      Specified by:
        `setHolderOfKeyPrivateKeys` in interface `SessionItem`
      Parameters:
        `hokPrivateKeys` - the system decryption keys
      See Also:
        `SessionItem.setHolderOfKeyPrivateKeys(java.util.Map)`

    - #### getHolderOfKeyPrivateKeys

          public final Map<String,PrivateKey> getHolderOfKeyPrivateKeys()

      Description copied from interface: `SessionItem`
      Gets the system decryption keys.
      Specified by:
        `getHolderOfKeyPrivateKeys` in interface `SessionItem`
      Returns:
        the system decryption keys
      See Also:
        `SessionItem.getHolderOfKeyPrivateKeys()`

    - #### setEncryptionCredential

          public final void setEncryptionCredential(Credential encryptionCredential)

      Description copied from interface: `SessionItem`
      Sets the personal credential.
      Specified by:
        `setEncryptionCredential` in interface `SessionItem`
      Parameters:
        `encryptionCredential` - the new personal credential
      See Also:
        `SessionItem.setEncryptionCredential(be.ehealth.technicalconnector.service.sts.security.Credential)`

    - #### getEncryptionCredential

          public final Credential getEncryptionCredential()

      Description copied from interface: `SessionItem`
      Gets the personal credential.
      Specified by:
        `getEncryptionCredential` in interface `SessionItem`
      Returns:
        the personal credential
      See Also:
        `SessionItem.getEncryptionCredential()`

    - #### setEncryptionPrivateKeys

          public final void setEncryptionPrivateKeys(Map<String,PrivateKey> encryptionPrivateKeys)

      Description copied from interface: `SessionItem`
      Sets the personaldecryption keys.
      Specified by:
        `setEncryptionPrivateKeys` in interface `SessionItem`
      Parameters:
        `encryptionPrivateKeys` - the personaldecryption keys
      See Also:
        `SessionItem.setEncryptionPrivateKeys(java.util.Map)`

    - #### getEncryptionPrivateKeys

          public final Map<String,PrivateKey> getEncryptionPrivateKeys()

      Description copied from interface: `SessionItem`
      Gets the personaldecryption keys.
      Specified by:
        `getEncryptionPrivateKeys` in interface `SessionItem`
      Returns:
        the personaldecryption keys
      See Also:
        `SessionItem.getEncryptionPrivateKeys()`

    - #### getHolderOfKeyCrypto

          public Crypto getHolderOfKeyCrypto()
                                      throws TechnicalConnectorException

      Description copied from interface: `SessionItem`
      Gets the crypto associated with the HOK credentials
      Specified by:
        `getHolderOfKeyCrypto` in interface `SessionItem`
      Returns:
      Throws:
        `TechnicalConnectorException`
      See Also:
        `SessionItem.getHolderOfKeyCrypto()`

    - #### getEncryptionCrypto

          public Crypto getEncryptionCrypto()
                                     throws TechnicalConnectorException

      Description copied from interface: `SessionItem`
      Gets the crypto associated with the Encryption credentials
      Specified by:
        `getEncryptionCrypto` in interface `SessionItem`
      Returns:
      Throws:
        `TechnicalConnectorException`
      See Also:
        `SessionItem.getEncryptionCrypto()`

    - #### setHeaderCredential

          public void setHeaderCredential(Credential headerCredential)
                                   throws TechnicalConnectorException

      Specified by:
        `setHeaderCredential` in interface `SessionItem`
      Parameters:
        `headerCredential` - the headerCredential to set
      Throws:
        `TechnicalConnectorException`
      See Also:
        `SessionItem.setHeaderCredential(be.ehealth.technicalconnector.service.sts.security.Credential)`

    - #### getHeaderCredential

          public Credential getHeaderCredential()
                                         throws TechnicalConnectorException

      Specified by:
        `getHeaderCredential` in interface `SessionItem`
      Returns:
        the hokCredential
      Throws:
        `TechnicalConnectorException`
      See Also:
        `SessionItem.getHeaderCredential()`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.